Skip to main content
GET
/
fastedge
/
v1
/
admin
/
stats
Get aggregated FastEdge usage statistics
curl --request GET \
  --url https://api.gcore.com/fastedge/v1/admin/stats \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.gcore.com/fastedge/v1/admin/stats"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.gcore.com/fastedge/v1/admin/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "total_count": 123,
    "exec_time": {
      "min": 123,
      "max": 123,
      "avg": 123,
      "median": 123,
      "perc75": 123,
      "perc90": 123
    },
    "status_counts": {
      "success": 123,
      "count_3xx": 123,
      "count_4xx": 123,
      "count_5xx": 123
    },
    "client_id": 123,
    "app_id": 123,
    "region": "<string>",
    "country": "<string>"
  }
]
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

from
string<date-time>
required

Start date-time in RFC3339 format

to
string<date-time>
required

End date-time in RFC3339 format

client
integer<int64>[]

Filter by client ID. Repeat to pass several clients. Omit to include all accessible clients.

Required range: x >= 1
group_by
enum<string>[]

Dimensions to group the statistics by. Repeat to group by several dimensions.

Available options:
client,
app,
region,
country

Response

Returns aggregated statistics rows for the specified period

total_count
integer<int64>
required

Total number of requests in the group

exec_time
object
required

Execution-time statistics in milliseconds

status_counts
object
required

Request counts by HTTP status class.

client_id
integer<int64>

Client ID (present when grouped by client)

app_id
integer<int64>

Application ID (present when grouped by app)

region
string

Region (present when grouped by region)

country
string

Country (present when grouped by country)